using Hcs.Client;
using Hcs.Service.Async.Nsi;
using System;
using System.Linq;

namespace Hcs.TestApp.Scenario
{
    internal class NsiScenario(UniClient client)
    {
        private readonly UniClient client = client;

        internal void ExportDataProviderNsiItem1()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item1).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem51()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item51).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem59()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item59).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem219()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item219).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem272()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item272).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem302()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item302).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }

        internal void ExportDataProviderNsiItem337()
        {
            var result = client.Nsi.ExportDataProviderNsiItemAsync(exportDataProviderNsiItemRequestRegistryNumber.Item337).Result;
            Console.WriteLine("Scenario execution " + (result.Count() > 0 ? "succeeded" : "failed"));
        }
    }
}
